// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// File: mypalette.h                                              |
// Purpose: provides interface for palette modification functions |
// Author: Taivo Lints, Estonia                                   |
// Date: March, 2003                                              |
// Copyright: see copyright.txt                                   |
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

#ifndef MYPALETTE_H
#define MYPALETTE_H

// Changes colors start..start + 63 to a gradient (from black
// to white), others remain the same.
void make_grayscale_palette_64(int start);

// Changes colors start..start + 63 to a gradient (from black
// to some kind of blue-green), others remain the same.
void make_blueish_palette_64(int start);

// Changes the color of a palette entry (with index color_nr).
void change_color(int color_nr, int r, int g, int b);

#endif // MYPALETTE_H
