// - - - - - - - - - - - - - - - - - - - - - - - - -
// File: connection.h                               |
// Purpose: provides interface for class Connection |
// Author: Taivo Lints, Estonia                     |
// Date: May, 2003                                  |
// Copyright: see copyright.txt                     |
// - - - - - - - - - - - - - - - - - - - - - - - - -

#ifndef CONNECTION_H
#define CONNECTION_H

class Connection {    // Represents connection between two neurons.

  public:

    Connection(int source, double weight);  // Connection constructor.
                     // You must give all the required parameters
                     // when creating a new connection.
    
    int source;      // Starting point of the connection (number of the
                     // OTHER neuron; NOT the number of neuron, who owns
                     // this connection! "number" means vpNeurons index.).

    double weight;   // Weight of the connection.

};


#endif // CONNECTION_H
